[Overview][Resource strings][Types][Classes][Index] | Reference for unit 'versiontypes' (#fcl-res)

# TVersionStringFileInfo.Delete

Deletes a string table

## Declaration

Source position: versiontypes.pp line 117

`public procedure TVersionStringFileInfo.Delete(`
`const aIndex: Integer`
`);`

## Arguments

`aIndex` |  | The index of the string table to delete.

## Description

This method removes the string table identified by aIndex from the list. The string table is freed.

## See also

TVersionStringFileInfo.Clear |  | Deletes all string tables in the list
TVersionStringFileInfo.Add |  | Adds a new string table